
// Importieren des Archiv-Files  junit.jar

// 1. import
import junit.framework.*;

import java.util.Vector;

import java.io.*;


//  1. Ableitung von TestCase
public class junit3 extends TestCase  {

  public junit3() {
  } // create


  public double add(double x, double y) {
    return x+y;
  }



    // 3. Testfall
    // Methode wird von JUnit aufgerufen
	public void testAdd1() {
    double a,b,c;

    System.out.println("testAdd1");
    c = add(5.033, 4.343);
		assertEquals(c, 9.376,0.000001 );
  }

	public void testAdd2() {
		double a,b,c;
    System.out.println("testAdd2");
		c = add(15.033, -4.343);
		assertEquals(c, 10.690,0.01 );
	}

	public void testAdd4() {
		double a,b,c;
    System.out.println("testAdd3");
		c = 0.1+0.1+0.1;
		c = 0.5+0.5+0.5;
		assertEquals(c, 1.5, 0 );
	}

  // 2. Suite definieren, an JUnit wird der Class-File übergeben
  // sucht alle test*. methoden
	public static Test suite() {
		return new TestSuite( junit3.class );
	}

  public static void main(String[] args) {
      // 4.  suite aufrufen
		junit.textui.TestRunner.run ( suite() );
    pause();
  }


   private static void pause() {
    try {
      System.in.read();
    }
    catch (IOException e) {
    }
  }  // pause

}


